Error reporting internals
D-Bus secret internal implementation details

Error reporting internals. More...

## Data Structures

struct | DBusRealError
| Internals of DBusError. More...

## Macros

#define | DBUS_ERROR_INIT { NULL, NULL, TRUE, 0, 0, 0, 0, NULL }
| Expands to a suitable initializer for a DBusError on the stack. More...

## Functions

| _DBUS_STATIC_ASSERT (sizeof(DBusRealError)==sizeof(DBusError))

## Detailed Description

Error reporting internals.

## Macro Definition Documentation

#define DBUS_ERROR_INIT { NULL, NULL, TRUE, 0, 0, 0, 0, NULL }

Expands to a suitable initializer for a DBusError on the stack.

Declaring a DBusError with:

DBusError error = DBUS_ERROR_INIT;
do_things_with (&error);

is a more concise form of:

DBusError error;
dbus_error_init (&error);
do_things_with (&error);

Definition at line 62 of file dbus-errors.h.

Referenced by _dbus_get_local_machine_uuid_encoded(), _dbus_read_uuid_file(), _dbus_transport_open(), _dbus_transport_open_platform_specific(), dbus_connection_register_fallback(), dbus_connection_register_object_path(), and dbus_server_listen().